#
# spec file for package libss7 (Version ss7)
#
#

# norootforbuild

Name:           libss7
BuildRequires:  alsa-devel curl-devel expat gcc-c++ libgsm-devel 
BuildRequires:  libtiff-devel postgresql-devel libspandsp1 spandsp-devel
BuildRequires:  speex-devel 
BuildRequires:  unixODBC-devel wget 
BuildRequires: libpri >= 1.4.1
BuildRequires: dahdi-linux-kmp-default dahdi-linux dahdi-linux-devel dahdi-tools libtonezone-devel  
BuildRequires: alsa-lib-devel
BuildRequires: bison
BuildRequires: bluez-libs
BuildRequires: doxygen
BuildRequires: libogg-devel
BuildRequires: termcap
BuildRequires: libvorbis-devel
BuildRequires: m4
BuildRequires: ncurses-devel
BuildRequires: net-snmp-devel
BuildRequires: openssl-devel
BuildRequires: autoconf 
BuildRequires: newt newt-devel


%ifnarch s390 s390x
BuildRequires: dahdi-linux-kmp-default dahdi-linux dahdi-linux-devel dahdi-tools libtonezone-devel
%endif

URL:            http://www.asterisk.org
Summary:        SS7 library
Version:        1.0.2
Release:        9.15
License:        BSD License and BSD-like, GNU General Public License (GPL)
Group:          Productivity/Telephony/Servers
Source0:	%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build



%description
libss7 is a userspace library that is used for providing SS7 protocol
services to applications.  It has a working MTP2, MTP3, and ISUP for
ITU and ANSI style SS7, however it was written in a manner that will easily
allow support for other various national specific variants
in the future.  For a working reference implementation, see the various
link test programs, as well as the Asterisk Open Source PBX.

License:
========
libss7 is covered under the GPL (Gnu Public License) version 2.  For more
information, see http://www.gnu.org/


Authors:
--------
Matthew Fredrickson creslin@digium.com

%package devel
URL:            http://www.asterisk.org
Summary:        SS7 library
Version:        1.0.2
Release:        9.15
License:        BSD License and BSD-like, GNU General Public License (GPL)
Group:          Productivity/Telephony/Servers
Source0:	%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

#

%description devel
This package contains the header files and libraries necessary for
developing applications which use libss7.

libss7 is a userspace library that is used for providing SS7 protocol
services to applications.  It has a working MTP2, MTP3, and ISUP for
ITU and ANSI style SS7, however it was written in a manner that will easily
allow support for other various national specific variants
in the future.  For a working reference implementation, see the various
link test programs, as well as the Asterisk Open Source PBX.

Install libss7-devel if you want to develop applications which depend on
libss7.



Authors:
--------
Matthew Fredrickson creslin@digium.com


%prep
%setup


%build
make install INSTALL_PREFIX="%{buildroot}" libdir="%{_libdir}"

%clean
rm -rf $RPM_BUILD_ROOT



%files devel
%defattr (-,root,root)
%{_includedir}/libss7.h
%{_libdir}/libss7.so
%{_libdir}/libss7.a
%{_libdir}/libss7.so.1
%{_libdir}/libss7.so.1.0

%changelog -n libss7
* Sat Jan 10 2009 Carsten Schoene <cs@linux-administrator.com>
- update to release 1.0.2
* Mon Jan 21 2008 - vittorio@vitsoft.bz
- libss7 svn
